﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace Program_baza
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        SQLiteConnection m_dbConnection;
        private void Form1_Load(object sender, EventArgs e)
        {
            dgvUczniowie.Columns.Add("Id", "Id");
            dgvUczniowie.Columns.Add("Imie", "Imie");
            dgvUczniowie.Columns.Add("Nazwisko", "Nazwisko");
            dgvUczniowie.Columns.Add("Data", "Data");

            dgvOceny.Columns.Add("Id", "Id");
            dgvOceny.Columns.Add("Id_Ucznia", "Id_Ucznia");
            dgvOceny.Columns.Add("Ocena", "Ocena");
            dgvOceny.Columns.Add("Data", "Data");
        }

        private void button1_Click(object sender, EventArgs e)
        {   
            string sql = "CREATE TABLE Uczniowie (Id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL UNIQUE, Imie VARCHAR NOT NULL, Nazwisko VARCHAR NOT NULL, Data DATETIME)";
            SQLiteCommand command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "CREATE TABLE Oceny (Id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL UNIQUE, Id_Ucznia INTEGER NOT NULL, Ocena INTEGER NOT NULL, Data DATETIME)";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Uczniowie (Imie, Nazwisko) VALUES ('Dominik', 'Piatkowski')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Uczniowie (Imie, Nazwisko) VALUES ('Albert', 'Szpunar')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Uczniowie (Imie, Nazwisko) VALUES ('Przemysław', 'Palacz')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Oceny (Id_Ucznia, Ocena, Data) VALUES ('1', '5', '2018-06-20')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Oceny (Id_Ucznia, Ocena, Data) VALUES ('2', '4', '2018-06-20')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Oceny (Id_Ucznia, Ocena, Data) VALUES ('2', '6', '2018-06-20')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();

            sql = "INSERT INTO Oceny (Id_Ucznia, Ocena, Data) VALUES ('3', '3', '2018-06-20')";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();            

            button1.Enabled = false;
        }

        private void btnNewDataBase_Click(object sender, EventArgs e)
        {
            SQLiteConnection.CreateFile("MyDatabase.sqlite");
            btnNewDataBase.Enabled = false;
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            m_dbConnection = new SQLiteConnection("Data Source=MyDatabase.sqlite;Version=3;");
            m_dbConnection.Open();
            btnConnect.Enabled = false;
            btnDisconnect.Enabled = true;
        }

        private void btnDisconnect_Click(object sender, EventArgs e)
        {
            m_dbConnection.Close();
            btnDisconnect.Enabled = false;
            btnConnect.Enabled = true;
        }

        private void btnDisplay_Click(object sender, EventArgs e)
        {
            dgvUczniowie.Rows.Clear();

            string sql = "SELECT * FROM Uczniowie order by Id asc";
            SQLiteCommand command = new SQLiteCommand(sql, m_dbConnection);
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                dgvUczniowie.Rows.Add(reader["Id"], reader["Imie"], reader["Nazwisko"], reader["Data"]);
            }

            dgvOceny.Rows.Clear();

            sql = "SELECT * FROM Oceny order by Id asc";
            command = new SQLiteCommand(sql, m_dbConnection);
            reader = command.ExecuteReader();
            while (reader.Read())
            {
                dgvOceny.Rows.Add(reader["Id"], reader["Id_Ucznia"], reader["Ocena"], reader["Data"]);
            }

        }
    }
}
